@layer theme-overrides {

    body {
        --greenish-blue: #3Ba1B2;
        --purple: #4E2B85;
        --blue: #42BFDD;
        --bittersweet: #FF5F5F;
        --lemon: #F6F5AE;
    }

    .site-header {
        border-top: 6px solid var(--ironwood-secondary-color);
    }

    .entry-title, h1, h2, h3, h4 {
        font-family: var(--ironwood-font-accent);
        font-weight: 700;
    }

    .entry-title {
        text-transform: uppercase;
        font-size: var(--ironwood-font-size-l-5);
    }

    .entry-content a:hover,
    .entry-header a:hover,
    .clb-login-message-body a:hover {
        text-decoration: underline;
    }

    .site-title a {
        color: var(--ironwood-black);
        transition: all ease-in-out .5s;
    }

    .site-title a:hover {
        opacity: .5;
    }

    a.button {
        border-radius: 10px;
        background: var(--fhs-green);
        color: var(--fhs-white);
    }

    .footer-widgets {
        background: var(--ironwood-light-gray);
        border-top: 1px solid #eee;
    }

    .footer-widgets a.button {
        min-width: 195px;
    }

    .site-footer {
        background: var(--ironwood-primary-color);
    }

    .genesis-nav-menu a {
        font-family: var(--ironwood-font-accent);
        font-weight: 400; 
        font-size: var(--ironwood-font-size-l-2);      
    }

    .genesis-nav-menu .current-menu-item > a,
    .genesis-nav-menu a:focus, .genesis-nav-menu a:hover, 
    .genesis-nav-menu .current-menu-item > a, 
    .genesis-nav-menu .sub-menu .current-menu-item > a:focus, 
    .genesis-nav-menu .sub-menu .current-menu-item > a:hover {
        color: var(--ironwood-primary-color);
        /* text-decoration: underline;
        text-decoration-thickness: 1.5px; */
    }

    .genesis-nav-menu .sub-menu > li > a {
        font-size: var(--ironwood-font-size-l-1);
    }


    .clb-login-message-outer-wrapper {
        padding: 20px;
        background: var(--lemon);
        border-radius: var(--ironwood-border-radius);
        display: flex;
        justify-content: center;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
        width: fit-content;
    }




    .blog h1.archive-title {
        text-align: center;
        font-size: var(--ironwood-font-size-l-4);
        margin: 0;
    }

    .blog .archive-description {
        margin: 0;
    }

    .clb-blog-page-content {
        font-style: italic;
    }

    .blog .clb-single-page-featured-img-wrapper {
        display: none;
    }




.blog-grid {
	/*--- NEW Container Queries! --- */
	container-type: inline-size;
	container-name: blog-card;
}

.blog.full-width-content .content {
    max-width: 100%;
	width: 100% !important;
}

.blog-grid article {
	/* background: #f5f5f5; */
  	/* width: 360px; */
	/* margin-bottom: 30px;
	display: grid;
	grid-template-columns: 1fr 3fr;
	gap: 20px; */
}

.blog-grid .entry:before {
	display: none;
}

.blog-grid .entry img {
	display: block;
	margin: 0;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
}

.blog-grid .entry {
	padding-bottom: 0;
	border-radius: 5px;
	box-shadow: 0 8px 40px rgba(0,0,0,0.1);
}

.blog-grid .entry .clb-archive-featured-image-area,
.blog-grid .entry .entry-header .entry-meta,
.blog-grid .entry .entry-header .entry-title,
.blog-grid .entry .clb-archive-featured-image-area,
.blog-grid .entry .entry-content,
.blog-grid .entry .entry-footer {
	display: none;
}

.blog-grid .entry .clb-custom-list-view-wrapper {
	display: grid;
	grid-template-columns: 1fr 3fr;
	gap: 20px;
	border-radius: 5px;
}

.blog-grid .entry .clb-custom-list-view-wrapper.clb-missing-feat-img {
	grid-template-columns: 1fr;
	padding-left: 20px;
}

.blog-grid .entry .entry-header {
	margin-bottom: 0;
}

.blog-grid .clb-entry-card-wrapper h2.entry-title {
	text-align: left;
	font-size: 28px;
	margin: 0;
	margin-bottom: 8px;
}

.blog-grid .clb-entry-card-wrapper {
	padding: 20px;
    padding-top: 36px;
	padding-left: 0;
}

.blog-grid .clb-entry-card-wrapper .clb-custom-meta {
	text-align: left;
	padding-left: 0;
	color: var(--ironwood-dark-gray);
	font-size: var(--ironwood-font-size-md);
}

.blog-grid .clb-entry-card-wrapper .clb-custom-excerpt {
	margin: 0;
	padding: 0;
	text-align: left;
	margin-top: 20px;
	padding-bottom: 12px;
}

.blog-grid .clb-list-view-img-wrapper,
.blog-grid .clb-list-view-img-wrapper a {
	display: flex;
	flex-direction: column;
    height: 100%;
}

.blog-grid .clb-list-view-img-wrapper img {
	flex: 1;
	object-fit: cover;
}

.blog-grid .entry .entry-header .clb-custom-list-view-wrapper .entry-title {
	display: block;
}

.blog-grid .entry.clb-missing-post-thumbnail {
	border-radius: 5px;
	padding-top: 10px;
}

.blog-grid article .entry-footer, .blog-grid article .entry-header {
	/* display: none; */
}

.blog-grid article .entry-content p {
	/* display: none; */
}

.blog-grid .entry-content h2.entry-title {
	font-size: 24px;
	line-height: 1.2;
	margin-bottom: 0;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;
}

.clb-blog-page-content {
	text-align: center;
	margin-bottom: 60px;
}

.clb-homepage-hero .wp-block-cover__inner-container {
	z-index: 50;
}

.single-resources .clb-metabox-wrapper {
    color: var(--ironwood-black);
    border-radius: var(--ironwood-border-radius);
    background: var(--ironwood-light-gray);
    margin-bottom: 20px;
    padding: 14px 20px;
    border: 2px solid var(--ironwood-medium-gray);
}

/* Container query applied */
@container blog-card (width < 672px) {
	.blog-grid .entry .clb-custom-list-view-wrapper {
		 grid-template-columns: 1fr;
	}

	.blog-grid .entry .clb-custom-list-view-wrapper .clb-list-view-img-wrapper img {
		width: 100%;
		object-fit: cover;
		border-radius: 0;
		border-top-left-radius: var(--ironwood-border-radius);
		border-top-right-radius: var(--ironwood-border-radius);
	}

	.blog-grid .clb-entry-card-wrapper {
		padding: 30px;
	}

	.blog-grid .entry .clb-custom-list-view-wrapper.clb-missing-feat-img {
		padding-left: 0;
	}

}




    

    @media screen and (min-width: 960px) {

        .clb-mobile-only {
            display: none;
        }

        .footer-widgets .wrap:before,
        .footer-widgets .wrap:after {
            display: none;
        }

        .footer-widgets .wrap {
            display: grid;
            grid-template-columns: 1fr;
            gap: 15px;
        }

        .footer-widgets .wrap {
            /* max-width: 100%;
            padding-left: 30px;
            padding-right: 30px; */
        }

        .footer-widget-area {
            float: none;
            margin-bottom: 0;
            width: 100%;
        }

        .genesis-nav-menu {
            padding: 0;
        }

        .genesis-nav-menu .sub-menu {
            box-shadow: var(--ironwood-box-shadow-light);
            background: var(--ironwood-white);
        }

        .genesis-nav-menu .sub-menu > li > a {
            /* background: var(--surf-crest); */
            border: none;
        }

        .genesis-nav-menu .sub-menu > li > a:hover {
            background: var(--blue);
            color: var(--ironwood-black);
        }
        
        .clb-newsletters-wrapper {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            gap: 30px;
        }

        .genesis-nav-menu > .menu-highlight > a {
            background: transparent;
            border-radius: var(--ironwood-border-radius);
            border: 2px solid var(--ironwood-black);
            color: var(--ironwood-black);
        }

        .genesis-nav-menu > .menu-highlight > a:hover {
            background: var(--blue);
            border: 2px solid var(--blue);
            color: var(--ironwood-black);
        }

        .clb-on-page-nav-wrapper ul {
            background: var(--surf-crest);
            border-radius: var(--ironwood-border-radius);
            box-shadow: var(--ironwood-box-shadow-light);
        }

        .clb-on-page-nav-wrapper ul li {
            font-size: var(--ironwood-font-size-md);
            display: flex;
            padding: 0;
            margin: 0;
            padding: 12px;
            border: none;
        }

        .clb-on-page-nav-wrapper ul li:hover {
            background: var(--moss-green);
        }

        .clb-on-page-nav-wrapper li:has(.clb-sidebar-item-active) {
            background: var(--moss-green);
        }

        .clb-on-page-nav-wrapper li:first-of-type:has(.clb-sidebar-item-active) {
            border-top-left-radius: var(--ironwood-border-radius);
            border-top-right-radius: var(--ironwood-border-radius);
        }

        .clb-on-page-nav-wrapper li:last-of-type:has(.clb-sidebar-item-active) {
            border-bottom-left-radius: var(--ironwood-border-radius);
            border-bottom-right-radius: var(--ironwood-border-radius);
        }

        .clb-on-page-nav-wrapper ul li:first-of-type:hover {
            border-top-left-radius: var(--ironwood-border-radius);
            border-top-right-radius: var(--ironwood-border-radius);
        }

        .clb-on-page-nav-wrapper ul li:last-of-type:hover {
            border-bottom-left-radius: var(--ironwood-border-radius);
            border-bottom-right-radius: var(--ironwood-border-radius);
        }

        .wp-custom-logo .title-area {
            padding: 12px;
            transition: all ease-in-out .25s;
        }

        .wp-custom-logo .site-container.ironwood-scrolled .title-area {
            max-width: 300px !important;
        }

    }


    @media screen and (max-width: 959px) {

        .clb-desktop-only {
            display: none;
        }

    }

}